! This file is generated automatically by 
! makebanner.pl README src/banner.f90
module banner 

contains 

  subroutine print_banner

    write(0,*) '           ********************************************'
    write(0,*) '           *            JetVHeto Version 3.0.0        *'
    write(0,*) '           ********************************************'
    write(0,*) ''
    write(0,*) ' This is JetVHeto, a program that performs NNLL resummation for'
    write(0,*) ' jet-veto efficiencies and cross sections in Higgs and Z-boson'
    write(0,*) ' production. It also carries out matching to fixed-order (up to NNNLO)'
    write(0,*) ' results provided by the user. '
    write(0,*) ''
    write(0,*) ' The jets should be defined according to any longitudinally-invariant'
    write(0,*) ' generalised kt algorithm (e.g. kt, anti-kt, C/A...), in the so-called'
    write(0,*) ' "inclusive" mode, with E-scheme recombination and a a distance'
    write(0,*) ' measure based on Delta y^2 + Delta phi^2.'
    write(0,*) ''
    write(0,*) ' At NNLO and NNLL the resummed, fixed order and matched results are'
    write(0,*) ' independent of whether the jet algorithm is kt, C/A or anti-kt (but'
    write(0,*) ' do depend on the jet-radius R).'
    write(0,*) ' '
    write(0,*) ' New features of version 3:'
    write(0,*) ''
    write(0,*) ' * Matching to exact NNNLO. Note that the provided fixed-order results'
    write(0,*) '   are for the anti-kt algorithm only.'
    write(0,*) ''
    write(0,*) ' * Resummation of small-R logarithms, which can be achieved with the'
    write(0,*) '   "-small-r" option. Such resummation is generally not required for'
    write(0,*) '   values R >= 0.4.'
    write(0,*) ''
    write(0,*) ' JetVHeto is made available under the GNU General Public License v3.'
    write(0,*) ''
    write(0,*) ' If you use it in scientific work, please cite '
    write(0,*) ''
    write(0,*) '* A. Banfi, F. Caola, F.A. Dreyer, P.F. Monni, G.P. Salam, G. Zanderighi, '
    write(0,*) '  F. Dulat, arXiv:1511.02886A. Banfi, F. Caola, F.A. Dreyer, '
    write(0,*) '  P.F. Monni, G.P. Salam, G. Zanderighi, F. Dulat, arXiv:1511.02886 '
    write(0,*) ''
    write(0,*) '* A. Banfi, P.F. Monni, G.P. Salam and G. Zanderighi,'
    write(0,*) 'Phys. Rev. Lett. 109 (2012) 202001 [arXiv:1206.4998] '
    write(0,*) ''
    write(0,*) '* A. Banfi, P.F. Monni and G. Zanderighi JHEP 01 (2014) 097 '
    write(0,*) '  [arXiv:1308.4634]'
    write(0,*) ''
    write(0,*) ' You are also encouraged to cite'
    write(0,*) ' * A. Banfi, G.P. Salam and G. Zanderighi, JHEP 06 (2012) 159 '
    write(0,*) '   [arXiv:1203.5773] containing the R-dependent piece of NNLL resummation.'
    write(0,*) ''
    write(0,*) ' If you use the "-small-r" option, cite'
    write(0,*) ' * M. Dasgupta, F.A. Dreyer, G.P. Salam, Gregory Soyez JHEP 04 (2015) 039 '
    write(0,*) '   [arXiv:1411.5182].'
    write(0,*) ''

  end subroutine print_banner

  subroutine print_help

    write (0,*) ' Usage: jetvheto [OPTIONS]'
    write (0,*) ' '
    write (0,*) ' Options: '
    write (0,*) '   OPTION          <description> [<default value>]'
    write (0,*) '    -h, -help	    display this help and exit'
    write (0,*) '                   '
    write (0,*) '    -in		    The name of the file containing fixed-order results'
    write (0,*) '                            (required unless you are not doing a matching, see'
    write (0,*) '                            -resum-only below)'
    write (0,*) '                   '
    write (0,*) '    -out   	           The name of the output file [/dev/stdout]	'
    write (0,*) '    -differential   If used, the differential distribution is returned [.false.]'
    write (0,*) '    '
    write (0,*) '    -cross-section  If used, the cross section is returned instead of the efficiency [.false.]'
    write (0,*) ''
    write (0,*) '    -loop-mass   Include full dependence on heavy-quark masses in loops '
    write (0,*) '    			  (none-> large mt limit,t -> top only ,t+b -> top and bottom) [none]                   '
    write (0,*) ''
    write (0,*) '    -order	 Resummation order (0-> LL; 1-> NLL; 2-> NNLL) [2]'
    write (0,*) '    -fixed_order  Order of the fixed-order integrated distribution which the resummation '
    write (0,*) '    		  	   is matched to (1-> NLO, 2-> NNLO, 3-> N3LO (ptj only)) [2]'
    write (0,*) '    -scheme     Matching scheme to fixed order result. We recommend the'
    write (0,*) '                use of schemes a and b, but more options are available '
    write (0,*) '		(see code for details) [a]'
    write (0,*) '    -xQ	        Ratio of resummation scale Q to boson mass [0.5]'
    write (0,*) '    -p          Parameter controlling the modified logarithms [5.0]'
    write (0,*) '    '
    write (0,*) '    -observable  The observable to be resummed (ptj -> leading jet pt, ptB -> boson pt) [ptj]'
    write (0,*) '    -ptcut       Cutoff in transverse momentum for resummed predictions ([M/4] for ptB; [0] for ptj)'
    write (0,*) '    -small-r     Turn on small-radius resummation. [.false.]'
    write (0,*) '    -R0          Set the resummation scale for small-R logs (only with -small-r option) [1.0]'
    write (0,*) ''
    write (0,*) '    The following information:'
    write (0,*) ''
    write (0,*) '      proc, collider, sqrts, pdf_name, M (in the Higgs case), mur, muf, algo, R '
    write (0,*) ''
    write (0,*) '    should always be contained in the input file, and cannot be'
    write (0,*) '    overwritten via command-line options. '
    write (0,*) '   		 '
    write (0,*) ' It is also possible to perform just the resummation, without a'
    write (0,*) ' matching. This is useful for example when no fixed-order file is'
    write (0,*) ' available, and one believes that the resummation alone may be'
    write (0,*) ' informative (the NNLL resummation is often reasonably reliable on its'
    write (0,*) ' own in the region of small pt).'
    write (0,*) ''
    write (0,*) ' The -resum-only option turns this facility on; one is then not'
    write (0,*) ' allowed to give the "-in" option, and instead parameters are set'
    write (0,*) ' entirely from the command line:'
    write (0,*) ''
    write (0,*) '   -proc         "H" for Higgs boson production, "DY" for Z boson production '
    write (0,*) '                 ["H"]'
    write (0,*) '   -collider     Collider type ("pp" for proton-proton, "ppbar" for '
    write (0,*) '                 proton-antiproton) [pp]'
    write (0,*) '   -sqrts	 Centre of mass energy [13000 GeV]'
    write (0,*) '   -pdf_name     LHAPDF data file for the chosen pdf set '
    write (0,*) '   		 [NNPDF23_nnlo_as_0118.LHgrid]'
    write (0,*) '   -pdf_set      the index of the set to use [0]'
    write (0,*) '   -muR	         Renormalisation scale [M/2]'
    write (0,*) '   -muF	         Factorisation scale [M/2]'
    write (0,*) '   -R 	         Jet-radius R [0.4]'
    write (0,*) '   -ptmin        Sets the minimum value of the jet pt [1d0]'
    write (0,*) '   -ptmax        Sets the maximum value of the jet pt [300d0]. Otherwise it '
    write (0,*) '                 sets the maximum value of jet pt read from the input file '
    write (0,*) '                 [1e200].'
    write (0,*) '   -nbins        Sets the number of bins in jet pt [300].'
    write (0,*) '   -log          The binning in jet pt is logarithmic [.false.]'
    write (0,*) '   -M            In the case of Higgs production, it sets the Higgs boson mass'
    write (0,*) '                 [125d0 GeV]. Z boson mass cannot be set from the'
    write (0,*) '                 command line and its hard-coded value is 91.1876 GeV.'
    write (0,*) '		 		 '
    write (0,*) ''
    write (0,*) '----------------------------------------------------------------------'
    write (0,*) 'Gathering uncertainties'
    write (0,*) '-----------------------'
    write (0,*) ''
    write (0,*) 'If you have a set of output files named in a similar way to those in'
    write (0,*) 'the benchmark directorites, then you can use the following'
    write (0,*) ''
    write (0,*) '   python/gather-uncertainties.py'
    write (0,*) ''
    write (0,*) 'to gather all the results and obtain a single result with its'
    write (0,*) 'uncertainty band.'
    write (0,*) ''
    write (0,*) '   python/gather-uncertainties.py -h'
    write (0,*) ''
    write (0,*) 'will print out detailed usage instructions, including some'
    write (0,*) 'examples. E.g. to reproduce the N3LO+NNLL results for the'
    write (0,*) 'jet veto efficiency, with the HEFT, run the following'
    write (0,*) ''
    write (0,*) '    python/gather-uncertainties.py -dir benchmarks-n3lo/ -filehead H125-LHC13-R04-heft \'
    write (0,*) '                                   -order N3LO+NNLL -schemes a-RF-Q-R0,b'

  end subroutine print_help

end module banner
